Subject: [bug#50833] [PATCH] Add Bower (notmuch curses email client)

From: jgart <[email-masked]>
Date: Fri, 8 Jul 2022 13:47:01 -0500

On Fri, 08 Jul 2022 13:33:46 +0300 Munyoki Kilyungi <[email-masked]> wrote:
> jgart via Guix-patches via <[email-masked]>
> anaandika:
> 
> [...]
> 
> >
> > So, I should just patch lynx then, or also other things on that list?
> >
> > btw, bower is currently available from guixrus:
> >
> > https://git.sr.ht/~whereiseveryone/guixrus/tree/master/item/guixrus/packages/misc.scm#L143
> >
> > I also maintain the nix package for bower:
> >
> > https://github.com/NixOS/nixpkgs/blob/nixos-22.05/pkgs/applications/networking/mailreaders/notmuch-bower/default.nix#L34
> >
> 
> > I might stop maintaining the nix package since it's not as exciting work as maintaining the Guix package and I think I don't have time for that anymore ;()
> >
> A bit of yak-shaving here, but why would you want
> nix+guix on the same system?

Sometimes nix has a package that guix doesn't have and it might take a long time to package it for Guix properly so I just install it immediately with nix (think escape hatch).